/*
 * A GTK+/GNOME front end for Linuxconf.
 *
 * Copyright (C) 2000, 2001 Conectiva, Inc.
 * Copyright (C) 2000 Red Hat, Inc.
 *
 * Authors: Gustavo Niemeyer <niemeyer@conectiva.com>
 *          Nalin Dahyabhai <nalin@redhat.com>
 *
 */

#include "gnome-linuxconf.h"

/* Make the given widget the new parent, temporarily. */
HANDLE_DEF(Setcontext)
{
	char *name = (char*)g_list_nth_data(args, 0);

	GtkObject *object;
	g_return_val_if_fail(name != NULL, NULL);

	object = get_object_by_name(name);
	g_assert(GTK_IS_OBJECT(object));

	parents_push(object);
	mainforms_push(get_object_mainform(object));

	return NULL;
}
