/*
 * A GTK+/GNOME front end for Linuxconf.
 *
 * Copyright (C) 2000, 2001 Conectiva, Inc.
 * Copyright (C) 2000 Red Hat, Inc.
 *
 * Authors: Gustavo Niemeyer <niemeyer@conectiva.com>
 *          Nalin Dahyabhai <nalin@redhat.com>
 *
 */

#include "gnome-linuxconf.h"
HANDLE_DEF(Delete)
{
	GtkObject *object;
	char *id = (char*)g_list_nth_data(args, 0);

	g_return_val_if_fail(id != NULL, NULL);

	object = get_object_by_name(id);
	g_return_val_if_fail(GTK_IS_OBJECT(object), NULL);
	gtk_object_destroy(object);

	return NULL;
}
