/*
 * A GTK+/GNOME front end for Linuxconf.
 *
 * Copyright (C) 2000, 2001 Conectiva, Inc.
 * Copyright (C) 2000 Red Hat, Inc.
 *
 * Authors: Gustavo Niemeyer <niemeyer@conectiva.com>
 *          Nalin Dahyabhai <nalin@redhat.com>
 *
 */

#include "gnome-linuxconf.h"

DUMP_DEF(Formbutton)
{
}

HANDLE_DEF(Formbutton)
{
	GtkWidget *widget = NULL;
	char *id = (char*)g_list_nth_data(args, 0);
	
	g_return_val_if_fail(id != NULL, NULL);

	gtk_hbutton_box_set_layout_default(GTK_BUTTONBOX_SPREAD);
	widget = gtk_hbutton_box_new();

        gtk_object_set_data(GTK_OBJECT(widget), GNOME_LINUXCONF_HINT_VFLAGS,
                            GINT_TO_POINTER(GTK_SHRINK));
        gtk_object_set_data(GTK_OBJECT(widget), GNOME_LINUXCONF_HINT_VPAD,
                            GINT_TO_POINTER(-1));

	parent_insert(NULL, GTK_OBJECT(widget));
	parents_push(GTK_OBJECT(widget));
	
	register_object_with_parent(GTK_OBJECT(widget), id);
	
	return GTK_OBJECT(widget);
}
