#ifndef gtkgeneric_h
#define gtkgeneric_h

#define GTK_GENERIC(obj)		GTK_CHECK_CAST (obj, gtk_generic_get_type (), GtkGeneric)
#define GTK_GENERIC_CLASS(klass)	GTK_CHECK_CLASS_CAST (klass, gtk_generic_get_type (), GtkGenericClass)
#define GTK_IS_GENERIC(obj)		GTK_CHECK_TYPE (obj, gtk_generic_get_type ())

typedef struct _GtkGeneric	GtkGeneric;
typedef struct _GtkGenericClass	GtkGenericClass;

struct _GtkGeneric {
	GtkObject object;
	GtkObject *parent;
};

struct _GtkGenericClass {
	GtkObjectClass parent_class;
};

guint      gtk_generic_get_type              (void);
GtkObject* gtk_generic_new (GtkObject *parent);

#endif /* gtkgeneric_h */
