/*
 * A GTK+/GNOME front end for Linuxconf.
 *
 * Copyright (C) 2000, 2001 Conectiva, Inc.
 * Copyright (C) 2000 Red Hat, Inc.
 *
 * Authors: Gustavo Niemeyer <niemeyer@conectiva.com>
 *          Nalin Dahyabhai <nalin@redhat.com>
 *
 */


#include "gnome-linuxconf.h"

HANDLE_DEF(Listen)
{
	GtkWidget *widget;
	char *name = (char*)g_list_nth_data(args, 0);
	int listen = atoi((char*)g_list_nth_data(args, 1));

	g_return_val_if_fail(name != NULL, NULL);

	widget = (GtkWidget*) get_object_by_name(name);
	g_assert(GTK_IS_WIDGET(widget));
	gtk_widget_set_sensitive(widget, listen);

	return NULL;
}
