/*
 * A GTK+/GNOME front end for Linuxconf.
 *
 * Copyright (C) 2000, 2001 Conectiva, Inc.
 * Copyright (C) 2000 Red Hat, Inc.
 *
 * Authors: Gustavo Niemeyer <niemeyer@conectiva.com>
 *          Nalin Dahyabhai <nalin@redhat.com>
 *
 */

#include "gnome-linuxconf.h"

HANDLE_DEF(Show)
{
	const char *form = (const char*) g_list_nth_data(args, 0);
	const char *val = (const char*) g_list_nth_data(args, 1);
	GtkObject *mainform;

	g_return_val_if_fail(form != NULL, NULL);
	g_return_val_if_fail(val != NULL, NULL);

	mainform = get_object_by_name(form);
	if (*val == '1')
		gtk_widget_show_all(GTK_WIDGET(mainform)->parent);
	else
		gtk_widget_hide(GTK_WIDGET(mainform)->parent);

	return NULL;
}
